Subject: Re: bug#4910: 23.1.50; Error while displaying tooltip

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 15 Nov 2009 12:57:05 -0800 (PST)

Juri Linkov <[email-masked]> writes:

  > >   > Some recent changes broke tooltip display on non-toolkit X builds.
  > >   >
  > >   > Hovering the mouse over a menu item or a toolbar icon results in the
  > >   > error message:
  > >   >
  > >   >   Error while displaying tooltip: (error Invalid frame name--not a string or nil)
  > >   >
  > >   > and after a delay the tooltip is displayed in the echo area instead of the
  > >   > tooltip frame.
  > >
  > > This should be fixed.
  > 
  > Thanks.  There are another problem, and I don't know if it's related to
  > your changes.  Hovering the mouse on the first menu opening after
  > starting Emacs (I mean when you click on a top-level menu first time)
  > displays empty tooltip frames for menu items.  But after second menu
  > opening tooltip frames are correct.

That's an old problem, it's present at least in 23.1.
I think I mentioned it on the list some time ago.